commit:     16b5b559cc4f24e7b4b41a72e2e05caa6c225d93
Author:     Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Fri Sep  8 13:29:10 2017 +0000
Commit:     Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Fri Sep  8 13:29:51 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=16b5b559

app-vim/command-t: version bump to 5.0.2

 app-vim/command-t/Manifest               |  1 +
 app-vim/command-t/command-t-5.0.2.ebuild | 48 ++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/app-vim/command-t/Manifest b/app-vim/command-t/Manifest
index f862e4057b5..27145717d83 100644
--- a/app-vim/command-t/Manifest
+++ b/app-vim/command-t/Manifest
@@ -1,2 +1,3 @@
 DIST command-t-4.0.tar.gz 79052 SHA256 
1a733b660c461b675fc0e95627036c9328a5f7a33cb641f8c8ec98e639314abf SHA512 
31f58210b2e9954d830dac3f18d87d08059f396c6637c6ff0be1e8b660fc307796ef8c0d572b105690072c013f0fc4ff6cfaa2f0f8ebde00b5f76fdfc3e29c34
 WHIRLPOOL 
8119c2d7c61922d84402882f1499fd8a9fd955951f9b6952f24335ef8f14d7bca93c023adf61985d571631bbd7db6ed7c60c96151570228120d2025e9c7b4c5a
 DIST command-t-5.0.1.tar.gz 81781 SHA256 
7ac1e4c2bd9bf87c788be22fc24cfc2a4993c30365031a2b15ddff79d8b00e3d SHA512 
54262f4628bbef8a11878a8593510af566dabf35dd70005dc90e4abb4c4e9aebde5dc7d08d808c944980017f8f35d7e9723b0032ccde5ab6d2d2fae38e1c632d
 WHIRLPOOL 
240cf7a171c848d8201929c8e02d0db3e74ce64b5117aff4f12c8e7b320c08f2cb944ee1bd44a2f3681706d533698e792bfd5f0487933d04b88699aa25c6a398
+DIST command-t-5.0.2.tar.gz 83601 SHA256 
0cccfd1fc70aee55bb1002c53ad153a395722fdee34badbb8e21e099e2f4c01a SHA512 
f8c8356231c3fb0f3a91cb61f534acac4dd401721a940c6ea045ada287d29395923eb46b1cb4f55b8254000f10eea9970841531abb2b110992180a1edbd66b81
 WHIRLPOOL 
80508a5d18cb3e1e6d067ddc40ac4ae4664a68b96ec14b93abef4ea4afb8cb21b8c3defc39bfaa6b4c1dc3c889d2dfb7a10cd252a8e970564d59bd11be24abf8

diff --git a/app-vim/command-t/command-t-5.0.2.ebuild 
b/app-vim/command-t/command-t-5.0.2.ebuild
new file mode 100644
index 00000000000..82f1973dda5
--- /dev/null
+++ b/app-vim/command-t/command-t-5.0.2.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby22 ruby23 ruby24"
+
+inherit vim-plugin ruby-ng
+
+DESCRIPTION="vim plugin: fast file navigation for vim"
+HOMEPAGE="https://vim.sourceforge.io/scripts/script.php?script_id=3025 
https://github.com/wincent/command-t";
+SRC_URI="https://github.com/wincent/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="BSD-2"
+KEYWORDS="~amd64 ~x86"
+
+VIM_PLUGIN_HELPFILES="${PN}.txt"
+
+RDEPEND="|| ( app-editors/vim[ruby] app-editors/gvim[ruby] )"
+
+all_ruby_prepare() {
+       find "${S}" -name .gitignore -delete || die
+}
+
+each_ruby_configure() {
+       cd ruby/${PN}/ext/${PN} || die
+       ${RUBY} extconf.rb || die "extconf.rb failed"
+}
+
+each_ruby_compile() {
+       cd ruby/${PN}/ext/${PN} || die
+       emake V=1
+       rm *.o *.c *.h *.log extconf.rb depend Makefile || die
+}
+
+each_ruby_install() {
+       local sitelibdir=$(ruby_rbconfig_value "sitelibdir")
+       insinto "${sitelibdir}"
+       doins -r ruby/${PN}/{ext,lib}/*
+}
+
+all_ruby_install() {
+       rm Gemfile* Rakefile LICENSE README.md || die
+       rm -r appstream bin fixtures data ruby/${PN}/{ext,lib,*.gemspec} spec 
vendor || die
+
+       vim-plugin_src_install
+
+       # make sure scripts are executable
+       chmod +x "${ED}"/usr/share/vim/vimfiles/ruby/${PN}/bin/* || die
+}

Reply via email to